Get a contact's transactions
curl --request GET \
--url https://incoming.qomon.app/v1/contacts/{id}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://incoming.qomon.app/v1/contacts/{id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://incoming.qomon.app/v1/contacts/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"total_don": {},
"transaction_bundles": [
{
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"donations": [
{
"amount": 0,
"contact_id": 1,
"date": "2023-11-07T05:31:56Z",
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"affectation": "<string>",
"amount_initial": 1,
"comment": "<string>",
"contact": {
"id": 1,
"firstname": "<string>",
"group_id": 1,
"membership_code": "<string>",
"membership_number": 1,
"surname": "<string>"
},
"currency": "<string>",
"donation_price_id": 1,
"id": 1
}
],
"group_id": 1,
"id": 1,
"memberships": [
{
"amount": 0,
"contact_id": 1,
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"amount_initial": 1,
"comment": "<string>",
"contact": {
"id": 1,
"firstname": "<string>",
"group_id": 1,
"membership_code": "<string>",
"membership_number": 1,
"surname": "<string>"
},
"currency": "<string>",
"end_date": "2023-11-07T05:31:56Z",
"id": 1,
"membership_price_id": 1,
"rolling_year": true,
"start_date": "2023-11-07T05:31:56Z"
}
],
"summary": {},
"transactions": [
{
"amount": 0,
"contact_id": 1,
"date": "2023-11-07T05:31:56Z",
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"code_campaign": "<string>",
"comment": "<string>",
"comment_date": "2023-11-07T05:31:56Z",
"currency": "<string>",
"delivered_at": "2023-11-07T05:31:56Z",
"delivery_token": "<string>",
"external_transaction_id": 1,
"group_id": 1,
"id": 1,
"payment_method": {},
"payment_method_kind": "<string>",
"reimbursed_amount": 1,
"status_id": 1,
"transaction_bundle_id": 1,
"unpaid_amount": 1
}
]
}
]
},
"status": "<string>"
}{
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Transactions
Get a contact's transactions
Return the full transaction history for a contact (all bundles they paid, newest first) along with their total donated amount per currency.
GET
/
v1
/
contacts
/
{id}
/
transactions
Get a contact's transactions
Use this to determine a contact’s first donation date (the oldest bundle) or whether they are a first-time donor — no need to maintain an external donor list.
total_don gives the lifetime donated amount per currency, in cents.Authorizations
OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.
Path Parameters
Contact ID.
Required range:
x >= 0Example:
42
Last modified on July 7, 2026
Was this page helpful?
⌘I

